PPM

Discuss the Perl Package Manager (PPM) and other module installation methods

No more Template-Toolkit in latest ActivePerl?

Hello,
I installed the latest ActivePerl on my Vista machine and there seem to be no more ppm for TT2. I need ttree !!! How can I install Template Toolkit with the latest ActivePerl?
Thanks!
Carl

PPM Install Failure (DBD-ODBC) - Can't Find Package that Provides DBI 1.21

Good afternoon:

I'm running ActiveState Perl version 5.10.0 for Windows (Binary Build 1001 [283495]. I downloaded DBD-ODBC-1.14.zip from the ActivePerl downloads page for version 5.10. After unzipping the contents, I ran the following command:

ppm install DBD-ODBC.ppd

I received the following error message:

"ppm install failed: Can't find any package that provides DBI version 1.21 for DBD-ODBC"

Obviously, this looks like some sort of versioning conflict. I'm not sure how to resolve the problem. Did I download the wrong file?

Install Crypt::SSLeay package

Crossposting here because I didn't see this forum when I initially posted, sorry...

Total newbie to perl here. I'm using a script provided by craigslist to facilitate bulk posting of listings to them.

Apparently their script requires a Crypt::SSLeay module installed.

I believe that the PPM utility in ActivePerl is what is used for managing modules, but I don't have the slightest idea how to tell this utility to install a new module. The best attempt I made was this:

C:\autotasks>ppm install Crypt::SSLeay

how to install Crypt::SSLeay

Total newbie to perl here. I'm using a script provided by craigslist to facilitate bulk posting of listings to them.

Apparently their script requires a Crypt::SSLeay module installed.

I believe that the PPM utility in ActivePerl is what is used for managing modules, but I don't have the slightest idea how to tell this utility to install a new module.

Could somebody explain how the process of installing a module into PPM works under Windows. I see that I can download a .GZ file, is this what I'm supposed to somehow "install" into PPM?

David
dtaylo75@bellsouth.net

DBD::mysql not in ppm

Can somebody tell me how to install this package ?

Urgent DBD::Sybase on Windows

Hi ,

I am trying to execute a perl script of unix on Windows Prof using ActiveState. The script is designed to connect to the Sybase database using DBD::Sybase.

Can anyone please tell me from where can I download the DBD::Sybase package for activestate perl 5.10 windows.

Thanks in advance,

Precedence of lib directories with ActivePerl-5.10.0.1001

I have installed ActivePerl-5.10.0.1001 in
C:\Program Files\Perl

I find nothing in C:\Program Files\Perl\site\lib
except sitecustomize.pl

I believe I need to have DBI DBD etc. in there.

Any help welcme. Thanks

Confusing build errors

I'm pretty confused about the FAIL-reports on ppm.activestate.com. I'm trying to start testing the brand new 5.10 and would like to get the same modules installed that I've been using with 5.8.8.

PPM For Mail::Folder

Hi,
Could someone please direct me to the PPM Zip Package for Mail::Folder (http://search.cpan.org/~kjohnson/MailFolder-0.07/Mail/Folder.pm).
I need the Zip package to install the Mail::Folder module on a machine that has no Internet connectivity and no facility to build a makefile.

I looked for it on the ActiveState website (http://ppm.activestate.com/PPMPackages/zips/) but in vain.

Thanks,
Shruti

installation problems

I installed wampserver along with ActivePerl on my Windows XP Pro laptop. When I tried to install the Perl DBI module, I got the following error (see attached image):

I looked at the offending file:
c:/wamp/perl/lib/Config.pm -- line 1218,1219
'prefix' => 'c:\wamp\perl\',
'privlibexp' => 'c:\wamp\perl\\lib',

I found out that I needed to add another backslash '\' after '...\perl\':
'prefix' => 'c:\wamp\perl\\',
'privlibexp' => 'c:\wamp\perl\\lib',

Retried installing Perl DBI module:
Successfully installed DBI version 1.601 in ActivePerl 5.8.4.810.